Subject: Re: linux-next: OOPS at boot time

From: Andrew Morton <[email-masked]>
Date: Wed, 21 Jul 2010 00:29:07 -0700

On Wed, 21 Jul 2010 15:20:07 +1000 Dave Chinner <[email-masked]> wrote:

> > and they were dirtied within dquot_free_space().
> 
> AFAICT dquot_free_space() is called deep in the guts of
> ext3_truncate() via dquot_free_block(), which is called directly
> before end_writeback(). That should overwrite any state changes made
> inside ext3_truncate. I wonder if iput_final() is racing with
> something else here?
> 

This isn't a race.  I type `make' and the warnings spew out at hundreds
per second - every unlink, I'd say.

Did you try my .config?